/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:13pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Items\MathildasCrystalBall.cs
Lines of code: 65
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{
	public class CrystalWhereArtThouQuest : BaseQuest
	{				
		public override object Title{ get{ return "Crystal Where Art Thou?"; } }
		
		public override object Description{ get{ return "This crystal ball looks like it might belong to one of the witches in the Wormwood. You should probably return it. There might even be a reward for finding it!"; } }
		
		public override object Refuse{ get{ return "It's probably best to return the crystal ball, but for now you put it aside."; } }
		
		public override object Uncomplete{ get{ return "I'm sure the witch is probably looking for this crystal ball right now."; } }
		
		public override object Complete{ get{ return "My crystal ball! Where did you find it?! It must have fallen out of my pocket during my last stroll out. Thanks once again. Here, take this bone container as a reward."; } }
	
		public CrystalWhereArtThouQuest() : base()
		{			
			AddObjective( new DeliverObjective( typeof( MathildasCrystalBall ) , "Crystal Ball", 1, typeof( Mathilda ), "Mathilda (Wormwood)", 3600 ) );
			
			AddReward( new BaseReward( typeof( BoneContainer ), "A bone container" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class MathildasCrystalBall : BaseQuestItem
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( CrystalWhereArtThouQuest )
			};} 
		}
		
		public override int Lifespan{ get{ return 3600; } }
	
		[Constructable]
		public MathildasCrystalBall() : base( 3630 )
		{
			Name = "Crystal Ball (Double click for quest)";
			Hue = 0;
		}
		
		public MathildasCrystalBall( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Timeline \t" + "To be deleted after Halloween Event");
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
	}
}